Contacts
List contact comments
Retrieve all comments for a contact, sorted by creation date (newest first).
GET
/
orgs
/
{org_id}
/
contacts
/
{contact_id}
/
comments
List contact comments
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"contact_id": "<string>",
"comment": "<string>",
"attachments": [
{
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"seen_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"color": "red",
"shape": "square",
"avatar_url": "<string>"
},
"assistant": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>",
"deleted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"message_id": "<string>",
"chat": {
"id": "<string>",
"title": "<string>",
"status": "RUNNING",
"created_at": "2023-11-07T05:31:56Z",
"state": {
"state": "OPEN",
"ai_enabled": true,
"admin_unseen_count": 123,
"muted_until": "2023-11-07T05:31:56Z",
"follow_up_at": "2023-11-07T05:31:56Z"
}
},
"metadata": {
"type": "contact_updated",
"changes": [
{
"key": "<string>",
"old_value": "<unknown>",
"new_value": "<unknown>"
}
]
}
}
]Authorizations
Bearer token authentication using your API key
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Response
200 - application/json
Files attached to the comment
Show child attributes
Show child attributes
User who posted the comment
Show child attributes
Show child attributes
Agent who posted the comment
Show child attributes
Show child attributes
Assistant who posted the comment
Show child attributes
Show child attributes
The private note this comment mirrors, when it was written in a conversation
The chat behind the comment: the conversation a note was written in, or the run that answered a tag
Show child attributes
Show child attributes
Activity metadata payload. Discriminated by type, which mirrors the parent activity row type.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List contact comments
